Package org.opensaml.saml.saml2.core.impl

# Class ScopingImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.ScopingImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Scoping`

public class ScopingImpl extends AbstractXMLObject implements Scoping
Concrete implementation of `Scoping`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IDPList`
`idpList`
IDPList child element.
`private Integer`
`proxyCount`
ProxyCount attribute.
`private final XMLObjectChildrenList<RequesterID>`
`requesterIDs`
List of RequesterID child elements.

### Fields inherited from interface org.opensaml.saml.saml2.core.Scoping

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, PROXY_COUNT_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ScopingImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`IDPList`
`getIDPList()`
Gets the IDPList.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Integer`
`getProxyCount()`
Gets the ProxyCount attrib value.
`List<RequesterID>`
`getRequesterIDs()`
Gets the list of RequesterID's.
`void`
`setIDPList(IDPList newIDPList)`
Sets the IDPList.
`void`
`setProxyCount(Integer newProxyCount)`
Sets the ProxyCount attrib value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### idpList

@Nullable private IDPList idpList
IDPList child element.

### requesterIDs

@Nonnull private final XMLObjectChildrenList<RequesterID> requesterIDs
List of RequesterID child elements.

### proxyCount

@Nullable private Integer proxyCount
ProxyCount attribute.

## Constructor Details

### ScopingImpl

protected ScopingImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getProxyCount

@Nullable public Integer getProxyCount()
Gets the ProxyCount attrib value.

Specified by:
  `getProxyCount` in interface `Scoping`
Returns:
  the ProxyCount attrib value

### setProxyCount

public void setProxyCount(@Nullable Integer newProxyCount)
Sets the ProxyCount attrib value.

Specified by:
  `setProxyCount` in interface `Scoping`
Parameters:
  `newProxyCount` - the new ProxyCount attrib value

### getIDPList

@Nullable public IDPList getIDPList()
Gets the IDPList.

Specified by:
  `getIDPList` in interface `Scoping`
Returns:
  IDPList

### setIDPList

public void setIDPList(@Nullable IDPList newIDPList)
Sets the IDPList.

Specified by:
  `setIDPList` in interface `Scoping`
Parameters:
  `newIDPList` - the new IDPList

### getRequesterIDs

@Nonnull @Live public List<RequesterID> getRequesterIDs()
Gets the list of RequesterID's.

Specified by:
  `getRequesterIDs` in interface `Scoping`
Returns:
  list of RequesterID's

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements